libpsl5_0.20.2-2_i386.deb


Advertisement

Description

libpsl5 - Library for Public Suffix List (shared libraries)

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libpsl5_0.20.2-2_i386.deb
Package name libpsl5
Package version 0.20.2
Package release 2
Package architecture i386
Package type deb
Category libs role::shared-lib
Homepage https://github.com/rockdaboot/libpsl
License -
Maintainer Tim Rühsen <tim.ruehsen@gmx.de>
Download size 53.16 KB
Installed size 86.00 KB
Libpsl allows checking domains against the Public Suffix List.
It can be used to avoid privacy-leaking 'super-cookies',
'super domain' certificates, for domain highlighting purposes
sorting domain lists by site and more.
Please see https://publicsuffix.org for more detailed information.
This package contains runtime libraries.

Alternatives

Package Version Architecture Repository
libpsl5_0.20.2-2_amd64.deb 0.20.2 amd64 Debian Main
libpsl5 - - -

Requires

Name Value
libc6 >= 2.4
libidn2-0 >= 0.16
libunistring2 >= 0.9.7

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libpsl5_0.20.2-2_i386.deb
Source Package libpsl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libpsl5 deb package:
    # sudo apt-get install libpsl5

Files

Path
/usr/lib/i386-linux-gnu/libpsl.so.5
/usr/lib/i386-linux-gnu/libpsl.so.5.3.1
/usr/share/doc/libpsl5/changelog.Debian.gz
/usr/share/doc/libpsl5/changelog.gz
/usr/share/doc/libpsl5/copyright

Changelog

2018-10-15 - Daniel Kahn Gillmor <dkg@fifthhorseman.net>
libpsl (0.20.2-2) unstable; urgency=medium
* correct dependencies for autopkgtest
* Standards-Version: bump to 4.2.1 (no changes needed)
* d/watch: go simple, avoid uupdate
2018-05-31 - Daniel Kahn Gillmor <dkg@fifthhorseman.net>
libpsl (0.20.2-1) unstable; urgency=medium
* new upstream version
* Standards-Version: bump to 4.1.4 (no changes needed)
* refresh patches (dropping those already applied upstream)
* drop trailing whitepsace from debian/changelog
2018-03-23 - Daniel Kahn Gillmor <dkg@fifthhorseman.net>
libpsl (0.20.1-1) unstable; urgency=medium
* New upstream version
* refresh patches
* fix upstream spelling errors
* d/changelog: fix spelling errors
2018-02-22 - Daniel Kahn Gillmor <dkg@fifthhorseman.net>
libpsl (0.19.1-5) unstable; urgency=medium
* Standards-Version: bump to 4.1.3 (no changes needed)
* d/control: move Vcs: fields to salsa.debian.org
* d/control: add Rules-Requres-Root: no
* use DEP-14 repository branch naming
* move to debhelper 11
* add simple autopkgtest for /usr/bin/psl
2017-11-30 - Daniel Kahn Gillmor <dkg@fifthhorseman.net>
libpsl (0.19.1-4) unstable; urgency=medium
[ Tim Rühsen ]
* add static library to libpsl-dev
2017-11-11 - Daniel Kahn Gillmor <dkg@fifthhorseman.net>
libpsl (0.19.1-3) unstable; urgency=medium
* try to force use of py3 during build (Closes: #881409)
* address Multi-Arch hints from the tracker
2017-11-11 - Daniel Kahn Gillmor <dkg@fifthhorseman.net>
libpsl (0.19.1-2) unstable; urgency=medium
* avoid cleaning up m4/ax_check_compile_flag.m4
* add build-dependency on autoconf-archive for ax_check_compile_flag.m4
2017-11-11 - Daniel Kahn Gillmor <dkg@fifthhorseman.net>
libpsl (0.19.1-1) unstable; urgency=medium
* New upstream release
* tune psl-make-dafsa py3 patch -- just shebang modification
* update symbols file for psl_free_string
* Standards-Version: bump to 4.1.1 (no changes needed)
2017-09-10 - Daniel Kahn Gillmor <dkg@fifthhorseman.net>
libpsl (0.18.0-4) unstable; urgency=medium
* fix py3 transition on non-UTF-8 systems (Closes: #874688)
Thanks, Helmut Grohne!
2017-09-07 - Daniel Kahn Gillmor <dkg@fifthhorseman.net>
libpsl (0.18.0-3) unstable; urgency=medium
* move psl-make-dafsa to py3
* Standards-Version: bump to 4.1.0 (no changes needed)

See Also

Package Description
libpsm-infinipath1-dev_3.3+20.604758e7-6_i386.deb Development files for libpsm-infinipath1
libpsm-infinipath1_3.3+20.604758e7-6_i386.deb PSM Messaging library for Intel Truescale adapters
libpsocksxx-dev_1.1.1-1_i386.deb psocksxx is a C++ wrapper for POSIX sockets (development files)
libpsocksxx-doc_1.1.1-1_all.deb psocksxx is a C++ wrapper for POSIX sockets (documentation)
libpsocksxx0_1.1.1-1_i386.deb psocksxx is a C++ wrapper for POSIX sockets
libpspell-dev_0.60.7~20110707-6_i386.deb Development files for applications with pspell support
libpst-dev_0.6.71-0.1_i386.deb library for reading Microsoft Outlook PST files (development files)
libpst4_0.6.71-0.1_i386.deb library for reading Microsoft Outlook PST files
libpstoedit-dev_3.73-1+b1_i386.deb PostScript to editable vector graphics library (development files)
libpstoedit0c2a_3.73-1+b1_i386.deb PostScript to editable vector graphics library (runtime files)
libpstreams-dev_1.0.1-2_all.deb C++ iostream interface to POSIX process I/O
libpsurface-dev_2.0.0-2+b1_i386.deb piecewise linear bijections between triangulated surfaces -- development files
libpsurface0v5_2.0.0-2+b1_i386.deb piecewise linear bijections between triangulated surfaces -- shared library
libpsych-java_3.1.0-1_all.deb ruby-psych Java extension
libptexenc-dev_2018.20181218.49446-1_i386.deb TeX Live: ptex encoding library (development part)
Advertisement
Advertisement